PURLLegacyScheme Class Reference

`#include <url.h>`

Inheritance diagram for PURLLegacyScheme:

## Public Member Functions

| PURLLegacyScheme (const char *s, bool user=false, bool pass=false, bool host=false, bool def=false, bool defhost=false, bool query=false, bool params=false, bool frags=false, bool path=false, bool rel=false, WORD port=0)
PBoolean | Parse (const PString &url, PURL &purl) const
PString | AsString (PURL::UrlFormat fmt, const PURL &purl) const
PString | GetName () const
Public Member Functions inherited from PObject
virtual | ~PObject ()
virtual PObject * | Clone () const
| Create a copy of the class on the heap. More...
virtual PINDEX | HashFunction () const
| This function yields a hash value required by the `PDictionary` class. More...
virtual const char * | GetClass (unsigned ancestor=0) const
| Get the current dynamic type of the object instance. More...
PBoolean | IsClass (const char *cls) const
virtual PBoolean | InternalIsDescendant (const char *clsName) const
| Determine if the dynamic type of the current instance is a descendent of the specified class. More...
virtual Comparison | Compare (const PObject &obj) const
| Compare the two objects and return their relative rank. More...
virtual Comparison | CompareObjectMemoryDirect (const PObject &obj) const
| Determine the byte wise comparison of two objects. More...
bool | operator== (const PObject &obj) const
| Compare the two objects. More...
bool | operator!= (const PObject &obj) const
| Compare the two objects. More...
bool | operator< (const PObject &obj) const
| Compare the two objects. More...
bool | operator> (const PObject &obj) const
| Compare the two objects. More...
bool | operator<= (const PObject &obj) const
| Compare the two objects. More...
bool | operator>= (const PObject &obj) const
| Compare the two objects. More...
virtual void | PrintOn (ostream &strm) const
| Output the contents of the object to the stream. More...
virtual void | ReadFrom (istream &strm)
| Input the contents of the object from the stream. More...

## Public Attributes

PString | scheme
bool | hasUsername
bool | hasPassword
bool | hasHostPort
bool | defaultToUserIfNoAt
bool | defaultHostToLocal
bool | hasQuery
bool | hasParameters
bool | hasFragments
bool | hasPath
bool | relativeImpliesScheme
WORD | defaultPort

## Additional Inherited Members

Public Types inherited from PObject
enum | Comparison { LessThan = -1, EqualTo = 0, GreaterThan = 1 }
| Result of the comparison operation performed by the `Compare()` function. More...
Static Public Member Functions inherited from PObject
static const char * | Class ()
| Get the name of the class as a C string. More...
static Comparison | InternalCompareObjectMemoryDirect (const PObject *obj1, const PObject *obj2, PINDEX size)
| Internal function caled from CompareObjectMemoryDirect() More...
Protected Member Functions inherited from PObject
| PObject ()
| Constructor for PObject, made protected so cannot ever create one on its own. More...

## Constructor & Destructor Documentation

PURLLegacyScheme::PURLLegacyScheme | ( | const char * | s,
|  | bool | user = `false`,
|  | bool | pass = `false`,
|  | bool | host = `false`,
|  | bool | def = `false`,
|  | bool | defhost = `false`,
|  | bool | query = `false`,
|  | bool | params = `false`,
|  | bool | frags = `false`,
|  | bool | path = `false`,
|  | bool | rel = `false`,
|  | WORD | port = `0`
| ) |  |

inline

## Member Function Documentation

PString PURLLegacyScheme::AsString | ( | PURL::UrlFormat | fmt,
|  | const PURL & | purl
| ) |  | const

inline virtual

Implements PURLScheme.

References PURL::LegacyAsString().

PString PURLLegacyScheme::GetName | ( |  | ) | const

inline virtual

Implements PURLScheme.

References scheme.

PBoolean PURLLegacyScheme::Parse | ( | const PString & | url,
|  | PURL & | purl
| ) |  | const

inline virtual

Implements PURLScheme.

References PURL::LegacyParse().

## Member Data Documentation

bool PURLLegacyScheme::defaultHostToLocal

WORD PURLLegacyScheme::defaultPort

bool PURLLegacyScheme::defaultToUserIfNoAt

bool PURLLegacyScheme::hasFragments

bool PURLLegacyScheme::hasHostPort

bool PURLLegacyScheme::hasParameters

bool PURLLegacyScheme::hasPassword

bool PURLLegacyScheme::hasPath

bool PURLLegacyScheme::hasQuery

bool PURLLegacyScheme::hasUsername

bool PURLLegacyScheme::relativeImpliesScheme

PString PURLLegacyScheme::scheme

Referenced by GetName().

The documentation for this class was generated from the following file:

- url.h